<script type="text/javascript">	
$(document).ready(function() {
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#tgl_awpl").val(data.tanggal);
				$("#tgl_akpl").val(data.tanggal);
			}
		});
	}
	
	$('#txt_kodeplg').focus();
	
	$('#form_cari_plg').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
		
	$('#cari_plg').click(function(){
		$('#form_cari_plg').dialog('open');		
		$("#txt_cariplg").focus();
		return false;
	});
	
	$("#txt_cariplg").keyup(function(){		
		var cari	= $("#txt_cariplg").val();
		
		$.ajax({
			type	: "POST",
			url		: "adm_jual/penjualan/tampil_data_plg.php",
			data	: "cari="+cari,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_pelanggan").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_pelanggan").html(data);
			}
		});
	});
	
	$("#txt_kodeplg").keyup(function() {
		var kode 	= $("#txt_kodeplg").val()
		
		if(kode.length==4){
			
		$.ajax({
			type	: "POST",
			url		: "adm_jual/penjualan/cari_plg.php",
			data	: "kode="+kode,
			dataType	: "json",
			success	: function(data){
				$("#txt_kodeplg").val(kode);
				$("#txt_namaplg").val(data.namaplg);
				var namaplg = $("#txt_namaplg").val();
				if(namaplg.length==0){
					alert("Maaf, data pelanggan "+kode+" tidak ditemukan.");
					return (false);
				}
				$("#txt_kodest").focus();
			}
		});
		}
	});

	$("#cari_pjpl").click(function(){
		var tgl_awal = $("#tgl_awpl").val();
		var tgl_akhir = $("#tgl_akpl").val();
		var kodeplg = $("#txt_kodeplg").val();
		
		if(kodeplg.length==0){
			alert('Maaf, Kode pelanggan masih kosong.');
			$("#txt_kodeplg").focus();
			return false;
		}
		if(tgl_awal.length==0){
			alert('Maaf, Tanggal awal periode masih kosong.');
			$("#tgl_awpl").focus();
			return false;
		}
		if(tgl_akhir.length==0){
			alert('Maaf, Tanggal akhir periode belum terisi.');
			$("#tgl_akpl").focus();
			return false;
		}
		$("#datapj").show();
		$("#datapj").load('modul/report/tampil_rekap_pjpl.php?kodeplg='+kodeplg+'&tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir);
	});
	
	$("#refresh_pjpl").click(function() {
		$(".input_header").val('');
		$("#datapj").hide();		
	});
	
	$("#cetak_pjpl").click(function() {
		var tgl_awal = $("#tgl_awpl").val();
		var tgl_akhir = $("#tgl_akpl").val();
		var kodeplg  = $("#txt_kodeplg").val();
		var namaplg = $("#txt_namaplg").val();
				
		
		if(kodeplg.length==0){
			alert('Maaf, Kode pelanggan masih kosong.');
			$("#txt_kodeplg").focus();
			return false;
		}
		if(tgl_awal.length==0){
			alert('Maaf, Tanggal awal periode belum terisi.');
			$("#tgl_awpl").focus();
			return false;
		}
		if(tgl_akhir.length==0){
			alert('Maaf, Tanggal akhir periode masih kosong.');
			$("#tgl_akpl").focus();
			return false;
		}
		window.location.href='modul/laporan/rekap_pjpl.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&kodeplg='+kodeplg+'&namaplg='+namaplg;
	});
	
	$("#tutup_pjpl").click(function(){
		document.location='?module=home';
	});
	
});
</script>
<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>

<?php
include '../../inc/inc.koneksi.php';
	
echo "<div span='12' style='background-color:white'>";
echo "<div id='form' align='center'><h2>REKAP PENJUALAN PER PELANGGAN<h2></div>";
echo "<div id='filter' align='left'>
	<fieldset>
		<legend>Filter Data </legend>
		<table width='100%'>
			<tr>
				<td>Pelanggan</td>
				<td>:</td>
				<td>
					<input type='text' name='txt_kodeplg' id='txt_kodeplg' size='3' class='input_header' >
					<img src='images/view.png' width='18' height='18' title='Cari Pelanggan' id='cari_plg'>
					<input type='text' name='txt_namaplg' id='txt_namaplg' size='17' class='input_header' readonly />
				</td>
				<td>Tanggal</td>
				<td>:</td>
				<td><input type='date' name='tgl_awpl' id='tgl_awpl' size='10' class='input_header' ></td>				
				<td>S/D</td>
				<td></td>
				<td><input type='date' name='tgl_akpl' id='tgl_akpl' size='10' class='input_header' ></td>
			</tr>
			<tr>
				<td colspan='12' align='center'>
					<button name='cari_pjpl' id='cari_pjpl'>CARI</button>
					<button name='cetak_pjpl' id='cetak_pjpl'>CETAK</button>
					<button name='refresh_pjpl' id='refresh_pjpl'>REFRESH</button>					
					<button name='tutup_pjpl' id='tutup_pjpl'>TUTUP</button>
				</td>
			</tr>
		</table>
	</fieldset>
	</div><br>";
	
echo "<div id='form_cari_plg' title='Pencarian Data Pelanggan'>
		<table width='100%'>
			<tr>
				<td>Cari Pelanggan : <input type='text' name='txt_cariplg' id='txt_cariplg' size='30'</td>
			</tr>
		</table>
		<div id='info_pelanggan' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
	</div>";
	
echo "<div id='datapj' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>";
echo "</div>";
?>
